All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
roboptim::Parameter Struct Reference
Optimization problems

Parameters type. More...

`#include <roboptim/core/solver.hh>`

## Public Types

typedef boost::variant < Function::value_type, int, std::string > | parameterValues_t
| Allowed types for parameters. More...

## Public Attributes

std::string | description
| Parameter description (for humans). More...
parameterValues_t | value
| Value. More...

## Detailed Description

Parameters type.

## Member Typedef Documentation

typedef boost::variant<Function::value_type, int, std::string> roboptim::Parameter::parameterValues_t

Allowed types for parameters.

## Member Data Documentation

std::string roboptim::Parameter::description

Parameter description (for humans).

Referenced by roboptim::operator<<().

parameterValues_t roboptim::Parameter::value

Value.